searchNodes=[{"ref":"StringMatcher.html","title":"StringMatcher","type":"module","doc":"StringMatcher allows you to pass multiple regular expressions and a string and get values back. Example Let&#39;s say you have a text that is: Del 5 av 6. Shakespeare är mycket nöjd med sin senaste pjäs, Så tuktas en argbigga. Men av någon anledning uppskattas inte berättelsen om hur en stark kvinna förnedras av en man av kvinnorna i Shakespeares närhet. Originaltitel: Upstart Crow. Produktion: BBC 2017. First we would split the text into an array based on and . so that we can loop over the long text, as our matches only returns the first match back. Then you would do: StringMatcher.new() |&gt; StringMatcher.add_regexp(~r/Del +(?&lt;episode_num&gt;[0-9]+?) +av +(?&lt;of_episodes&gt;[0-9]+?)/i, %{}) |&gt; StringMatcher.add_regexp(~r/Originaltitel: +(?&lt;original_title&gt;.*?)/i, %{}) |&gt; StringMatcher.add_regexp(~r/Produktion: +(?&lt;producer&gt;.*?) (?&lt;episode_num&gt;[0-9]+?)/i, %{}) |&gt; StringMatcher.match_captures(string) This should return a tuple with a map. The map is returned value of the regular expressions. If no match is found you will receive {:error, &quot;no match&quot;}"},{"ref":"StringMatcher.html#add_regexp/3","title":"StringMatcher.add_regexp/3","type":"function","doc":"Add a regexp to the list if its the correct format. Returns a list of regular expressions. Examples iex&gt; StringMatcher.add_regexp([], ~r/S(?\d+)E(?\d+)/i, %{}) [{~r/S(?\d+)E(?\d+)/i, %{}}]"},{"ref":"StringMatcher.html#match/2","title":"StringMatcher.match/2","type":"function","doc":"Match a string to a regexp. Returns the values that are passed as the second argument. Examples iex&gt; StringMatcher.add_regexp([], ~r/S(?&lt;season_num&gt;\d+)E(?&lt;episode_num&gt;\d+)/i, %{}) |&gt; StringMatcher.match(&quot;Prison Break E01&quot;) {:error, &quot;no match&quot;} iex&gt; StringMatcher.add_regexp([], ~r/S(?&lt;season_num&gt;\d+)E(?&lt;episode_num&gt;\d+)/i, %{}) |&gt; StringMatcher.match_captures(&quot;Prison Break S01E01&quot;) {:ok, %{&quot;episode_num&quot; =&gt; &quot;01&quot;, &quot;season_num&quot; =&gt; &quot;01&quot;}} iex&gt; StringMatcher.add_regexp([], ~r/S(?&lt;season_num&gt;\d+)E(?&lt;episode_num&gt;\d+)/i, %{&quot;name&quot; =&gt; &quot;Fargo&quot;}) |&gt; StringMatcher.match(&quot;Prison Break S01E01&quot;) {:ok, %{&quot;name&quot; =&gt; &quot;Fargo&quot;}}"},{"ref":"StringMatcher.html#match_captures/2","title":"StringMatcher.match_captures/2","type":"function","doc":"Match a string to a regexp. Returns either the values passed as the second argument otherwise it returns the captures. Examples iex&gt; StringMatcher.add_regexp([], ~r/S(?&lt;season_num&gt;\d+)E(?&lt;episode_num&gt;\d+)/i, %{}) |&gt; StringMatcher.match_captures(&quot;Prison Break S01E01&quot;) {:ok, %{&quot;episode_num&quot; =&gt; &quot;01&quot;, &quot;season_num&quot; =&gt; &quot;01&quot;}} iex&gt; StringMatcher.add_regexp([], ~r/S(?&lt;season_num&gt;\d+)E(?&lt;episode_num&gt;\d+)/i, %{&quot;name&quot; =&gt; &quot;Fargo&quot;}) |&gt; StringMatcher.match_captures(&quot;Prison Break S01E01&quot;) {:ok, %{&quot;name&quot; =&gt; &quot;Fargo&quot;}}"},{"ref":"StringMatcher.html#new/0","title":"StringMatcher.new/0","type":"function","doc":"Create a new list for strings Returns [] Examples iex&gt; StringMatcher.new() []"},{"ref":"readme.html","title":"StringMatcher","type":"extras","doc":"StringMatcher This library allows you to pass multiple regular expressions and a string and get values back."},{"ref":"readme.html#example","title":"StringMatcher - Example","type":"extras","doc":"Let&#39;s say you have a text that is: Del 5 av 6. Shakespeare är mycket nöjd med sin senaste pjäs, Så tuktas en argbigga. Men av någon anledning uppskattas inte berättelsen om hur en stark kvinna förnedras av en man av kvinnorna i Shakespeares närhet. Originaltitel: Upstart Crow. Produktion: BBC 2017. First we would split the text into an array based on \\n and . so that we can loop over the long text, as our matches only returns the first match back. Then you would do: StringMatcher.new() |&gt; StringMatcher.add_regexp(~r/Del\\s+(?&lt;episode_num&gt;[0-9]+?)\\s+av\\s+(?&lt;of_episodes&gt;[0-9]+?)/i, %{}) |&gt; StringMatcher.add_regexp(~r/Originaltitel:\\s+(?&lt;original_title&gt;.*?)/i, %{}) |&gt; StringMatcher.add_regexp(~r/Produktion:\\s+(?&lt;producer&gt;.*?) (?&lt;episode_num&gt;[0-9]+?)/i, %{}) |&gt; StringMatcher.match_captures(string) This should return a tuple with a map. The map is returned value of the regular expressions. If no match is found you will receive {:error, &quot;no match&quot;}"},{"ref":"readme.html#installation","title":"StringMatcher - Installation","type":"extras","doc":"If available in Hex, the package can be installed by adding string_matcher to your list of dependencies in mix.exs: def deps do [ {:string_matcher, &quot;~&gt; 0.1.0&quot;} ] end Documentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/string_matcher."},{"ref":"readme.html#tests","title":"StringMatcher - Tests","type":"extras","doc":"Currently the tests are failing for some reason, the library is working though and is stable. It&#39;s used in production."}]